depends:
- filename: bootstrap-import.bst
- filename: components/dav1d.bst
- filename: components/fontconfig.bst
- filename: components/freetype.bst
- filename: components/libfdk-aac.bst
- filename: components/lame.bst
- filename: components/libva.bst
- filename: components/libvdpau.bst
- filename: components/mpg123.bst
- filename: components/openal.bst
- filename: components/libpulse.bst
- filename: components/sdl2.bst
- filename: components/aom.bst
- filename: public-stacks/buildsystem-autotools.bst
  type: build
- filename: components/gnutls.bst
- filename: components/speex.bst
- filename: components/libtheora.bst
- filename: components/libvorbis.bst
- filename: components/libvpx.bst
- filename: components/opus.bst
- filename: components/nasm.bst
  type: build
- filename: components/noopenh264.bst

variables:
  ffmpeg-prefix: '%{prefix}'
  ffmpeg-libdir: '%{libdir}'
  ffmpeg-arch: '%{arch}'
  (?):
  - target_arch == "i686":
      ffmpeg-arch: x86

  audio-encoders: |
    ac3,alac,flac,libfdk_aac,g723_1,mp2,libmp3lame,libopus,pcm_alaw,pcm_mulaw,\
    pcm_f32le,pcm_s16be,pcm_s24be,pcm_s16le,pcm_s24le,pcm_s32le,\
    pcm_u8,tta,libvorbis,wavpack%{extra-aud-enc}

  audio-decoders: |
    ac3,alac,flac,g723_1,g729,libfdk_aac,libopus,mp2,mp3,m4a,pcm_alaw,pcm_mulaw,\
    pcm_f32le,pcm_s16be,pcm_s24be,pcm_s16le,pcm_s24le,pcm_s32le,\
    pcm_u8,tta,vorbis,wavpack,%{extra-aud-dec}

  video-encoders: |
    ass,ffv1,libaom_av1,libopenh264,libvpx_vp8,libvpx_vp9,rawvideo,theora,%{extra-vid-enc}

  video-decoders: |
    ass,ffv1,libaom_av1,libdav1d,libopenh264,libvpx_vp8,libvpx_vp9,rawvideo,theora,vp8,vp9,%{extra-vid-dec}

  image-formats: |
    gif,png,tiff,webp,%{extra-image-formats}

  hwaccels: '%{extra-hwaccels}'

  muxers: |
    ac3,ass,flac,gif,matroska,mp3,mpegvideo,ogg,wav,%{extra-muxers}

  demuxers: |
    aac,ac3,ass,flac,gif,matroska,mov,mp3,mpegvideo,ogg,wav,%{extra-demuxers}

  parsers: |
    aac,ac3,flac,mpegaudio,mpeg4video,opus,vp3,vp8,vorbis,%{extra-parsers}

  filters: |
    crop,scale,%{extra-filters}

  conf-local: |
    --prefix="%{ffmpeg-prefix}" \
    --libdir="%{ffmpeg-libdir}" \
    --disable-debug \
    --disable-doc \
    --disable-static \
    --enable-optimizations \
    --enable-shared \
    --disable-ffplay \
    --disable-ffprobe \
    --disable-everything \
    --enable-gnutls \
    --enable-libaom \
    --enable-libdav1d \
    --enable-libfdk-aac \
    --enable-libmp3lame \
    --enable-libfontconfig \
    --enable-libfreetype \
    --enable-libopenh264 \
    --enable-libopus \
    --enable-libpulse \
    --enable-libspeex \
    --enable-libtheora \
    --enable-libvorbis \
    --enable-libvpx \
    --enable-libwebp \
    --enable-openal \
    --enable-opengl \
    --enable-sdl2 \
    --enable-encoder=%{audio-encoders} \
    --enable-encoder=%{video-encoders} \
    --enable-decoder=%{audio-decoders} \
    --enable-decoder=%{video-decoders} \
    --enable-encoder=%{image-formats} \
    --enable-decoder=%{image-formats} \
    --enable-hwaccel=%{hwaccels} \
    --enable-parser=%{parsers} \
    --enable-muxer=%{muxers} \
    --enable-demuxer=%{demuxers} \
    --enable-filter=%{filters} \
    --enable-protocol=file \
    --arch="%{ffmpeg-arch}"

  conf-extra: ''

  extra-aud-enc: ''
  extra-aud-dec: ''
  extra-vid-enc: ''
  extra-vid-dec: ''
  extra-image-formats: ''
  extra-hwaccels: ''
  extra-muxers: ''
  extra-demuxers: ''
  extra-parsers: ''
  extra-filters: ''

public:
  bst:
    split-rules:
      devel:
        (>):
        - '%{libdir}/libavdevice.so'
        - '%{libdir}/libavcodec.so'
        - '%{libdir}/libswscale.so'
        - '%{libdir}/libpostproc.so'
        - '%{libdir}/libavutil.so'
        - '%{libdir}/libavfilter.so'
        - '%{libdir}/libavformat.so'
        - '%{libdir}/libswresample.so'
        - '%{datadir}/ffmpeg/examples'
        - '%{datadir}/ffmpeg/examples/**'

  cpe:
    version: '4.2.1'

# ffmpeg is not using autotools, but a configure and Makefile files
config:
  configure-commands:
  - ./configure %{conf-local} %{conf-extra}

  build-commands:
  - make

  install-commands:
  - make -j1 DESTDIR="%{install-root}" install

sources:
- kind: git_tag
  url: ffmpeg:ffmpeg.git
  track: release/4.2
  ref: n4.2.1-0-g1529dfb73a5157dcb8762051ec4c8d8341762478
